Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class TieIfsConnectionPool

    java.lang.Object
      oracle.ifs.server.IfsConnectionPool
          oracle.ifs.server.TieIfsConnectionPool

All Implemented Interfaces:
  ConnectionPool, SubService

    public class TieIfsConnectionPool

extends IfsConnectionPool

TieIfsConnectionPool allows the Oracle-defined behavior of the IfsConnectionPool class to be extended or overridden.

See Also:
  `IfsConnectionPool`
(Published)

Field Summary

Fields inherited from class oracle.ifs.server.IfsConnectionPool
`m_ConnectionPurgeAttempts, m_ConnectionStatementPurgeCount, m_DataSource, m_DefaultRowPrefetch, m_DeferredAllocationCount, m_FailedAllocationCount, m_ImmediateAllocationCount, m_JdbcLogStream, m_MaximumSize, m_MaximumSizeTimeout, m_MinimumSize, m_Name, m_Service, m_StatementCacheSizeTrigger, m_StatementCacheTarget, m_StatementResetLimit, m_TargetSize, m_TargetSizeTimeout, m_TotalAllocationTime`

Constructor Summary
`TieIfsConnectionPool()` Constructs a TieIfsConnectionPool.

Method Summary

Methods inherited from class oracle.ifs.server.IfsConnectionPool
`acquireLibraryConnection, createLibraryConnection, dispose, dispose, getConnectionPoolConfiguration, getConnectionPoolPerformance, initialize, releaseLibraryConnection, resetCachedStatements, resetStatistics, setConnectionPoolConfiguration, validateConnectionPoolConfiguration, validateUnallocatedConnections`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TieIfsConnectionPool

    public TieIfsConnectionPool()

  Constructs a TieIfsConnectionPool.

  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD